<?php

namespace App\Exception;

class SqlException extends \Exception{

    protected $data;

    public function __construct($data, $code = 500, \Exception $previous = null){
        $this->data = $data;
        parent::__construct(json_encode($data), $code, $previous);
    }

    public function getReason(){
        return array(
            'reason' => array(
                'explanation' => $this->data['message']
            )
        );
    }
}
